$NetBSD: patch-ac,v 1.7 2003/01/12 06:49:38 rh Exp $

--- configure.orig	Fri Feb  1 10:57:01 2002
+++ configure
@@ -5504,8 +5504,8 @@ if test "$OBJECTIVE_C" = yes; then
 	echo "$as_me:5504: checking for an obGnomeConf.sh" >&5
 echo $ECHO_N "checking for an obGnomeConf.sh... $ECHO_C" >&6
 	my_gnome_libdir=`$GNOME_CONFIG --libdir`
-	if test -f $my_gnome_libdir/obGnomeConf.sh; then
-	    . $my_gnome_libdir/obGnomeConf.sh
+	if test -f $LOCALBASE/lib/obGnomeConf.sh; then
+	    . $LOCALBASE/lib/obGnomeConf.sh
 	    echo "$as_me:5509: result: found $my_gnome_libdir" >&5
 echo "${ECHO_T}found $my_gnome_libdir" >&6
 	    ac_cv_have_gnome_objc=yes
@@ -8858,17 +8858,7 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8861: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:8864: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:8867: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:8870: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+if false ; then
 
 		ac_cv_guile_found=yes
 		cat >>confdefs.h <<\EOF
@@ -9032,12 +9022,12 @@ fi
 GLADE_LIBS=`gnome-config --libs libglade`
 GLADE_CFLAGS=`gnome-config --cflags libglade`
 
-GTKHTML_LIBS=`$GNOME_CONFIG --libs gtkhtml`
-GTKHTML_CFLAGS=`$GNOME_CONFIG --cflags gtkhtml`
+GTKHTML_LIBS=`pkg-config --libs gtkhtml-1.1`
+GTKHTML_CFLAGS=`pkg-config --cflags gtkhtml-1.1`
 
 echo "$as_me:9038: checking for GtkHTML" >&5
 echo $ECHO_N "checking for GtkHTML... $ECHO_C" >&6
-if gnome-config --libs gtkhtml > /dev/null 2>&1; then
+if pkg-config --libs gtkhtml-1.1 > /dev/null 2>&1; then
     echo "$as_me:9041: result: found" >&5
 echo "${ECHO_T}found" >&6
 else
@@ -9226,163 +9216,6 @@ if test "x$GNOME_XML_LIB" != "x"; then
 else
   HAVE_LIBXML_TRUE='#'
   HAVE_LIBXML_FALSE=
-fi
-
-build_gfloppy=true
-echo "$as_me:9232: checking for linux/fd.h" >&5
-echo $ECHO_N "checking for linux/fd.h... $ECHO_C" >&6
-if test "${ac_cv_header_linux_fd_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-#line 9238 "configure"
-#include "confdefs.h"
-#include <linux/fd.h>
-_ACEOF
-if { (eval echo "$as_me:9242: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  egrep -v '^ *\+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:9248: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_cv_header_linux_fd_h=yes
-else
-  echo "$as_me: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-  ac_cv_header_linux_fd_h=no
-fi
-rm -f conftest.err conftest.$ac_ext
-fi
-echo "$as_me:9267: result: $ac_cv_header_linux_fd_h" >&5
-echo "${ECHO_T}$ac_cv_header_linux_fd_h" >&6
-if test $ac_cv_header_linux_fd_h = yes; then
-  cat >>confdefs.h <<\EOF
-#define HAVE_LINUX_FD_H 1
-EOF
-
-else
-  build_gfloppy=false
-                { echo "$as_me:9276: WARNING: *** gfloppy will not be built." >&5
-echo "$as_me: WARNING: *** gfloppy will not be built." >&2;}
-fi
-
-# Check for the ext2fs library
-echo "$as_me:9281: checking for ext2fs_mkdir in -lext2fs" >&5
-echo $ECHO_N "checking for ext2fs_mkdir in -lext2fs... $ECHO_C" >&6
-if test "${ac_cv_lib_ext2fs_ext2fs_mkdir+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lext2fs  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line 9289 "configure"
-#include "confdefs.h"
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char ext2fs_mkdir ();
-int
-main ()
-{
-ext2fs_mkdir ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9308: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:9311: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9314: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:9317: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_ext2fs_ext2fs_mkdir=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_ext2fs_ext2fs_mkdir=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:9328: result: $ac_cv_lib_ext2fs_ext2fs_mkdir" >&5
-echo "${ECHO_T}$ac_cv_lib_ext2fs_ext2fs_mkdir" >&6
-if test $ac_cv_lib_ext2fs_ext2fs_mkdir = yes; then
-  x_libs="-lext2fs"
-else
-  build_gfloppy=false
-  { echo "$as_me:9334: WARNING:
-*** libext2fs not found. You need e2fsprogs and e2fsprogs-devel installed to build gfloppy." >&5
-echo "$as_me: WARNING:
-*** libext2fs not found. You need e2fsprogs and e2fsprogs-devel installed to build gfloppy." >&2;}
-fi
-
-# check for ext2fs header specific includes
-echo "$as_me:9341: checking for ext2fs/ext2_io.h" >&5
-echo $ECHO_N "checking for ext2fs/ext2_io.h... $ECHO_C" >&6
-if test "${ac_cv_header_ext2fs_ext2_io_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-#line 9347 "configure"
-#include "confdefs.h"
-#include <ext2fs/ext2_io.h>
-_ACEOF
-if { (eval echo "$as_me:9351: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  egrep -v '^ *\+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:9357: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_cv_header_ext2fs_ext2_io_h=yes
-else
-  echo "$as_me: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-  ac_cv_header_ext2fs_ext2_io_h=no
-fi
-rm -f conftest.err conftest.$ac_ext
-fi
-echo "$as_me:9376: result: $ac_cv_header_ext2fs_ext2_io_h" >&5
-echo "${ECHO_T}$ac_cv_header_ext2fs_ext2_io_h" >&6
-if test $ac_cv_header_ext2fs_ext2_io_h = yes; then
-  :
-else
-  build_gfloppy=false
-  { echo "$as_me:9382: WARNING:
-*** ext2fs/ext2_io.h not found.  You need e2fsprogs-devel installed." >&5
-echo "$as_me: WARNING:
-*** ext2fs/ext2_io.h not found.  You need e2fsprogs-devel installed." >&2;}
 fi
 
 if test "$build_gfloppy" = true; then
